DCMTK - Bug #524

recv() timeout parameter should be configurable (and the default value should be changed?)
2013-06-14 18:06 - Jorg Riesmeier

Status: Closed Start date: 2013-06-14
Priority: Normal Due date:

Assignee: Jorg Riesmeier % Done: 100%
Category: Library Estimated time: 0:00 hour
Target version: 3.6.2

Module: dcmnet and various apps Compiler:

Operating System:

Description
See this forum discussion: http://forum.dcmtk.org/viewtopic.php?f=1&t=3722&p=14955#p 14955

Classified as "bug" since 60 seconds seems to be too short in some cases.

Related issues:
Related to DCMTK - Bug #618: Assocation aborted due to network timeout in sto... Assigned 2014-12-10

History

#1 - 2013-06-14 18:07 - J6rg Riesmeier

- Subject changed from recv() timeout parameter should be configurable (and the default should be changed?) to recv() timeout parameter should be
configurable (and the default value should be changed?)

#2 - 2017-01-24 16:48 - Jorg Riesmeier
- Status changed from New to Closed
- Assignee set to Jorg Riesmeier

- % Done changed from 0 to 100

With commit 8d73a7f, the send() and recv() timeouts are now configurable at runtime (default is still 60 seconds).
